libzypp: zypp::repo::PackageProviderPolicy Class Reference

libzypp 17.25.10

Public Types | Public Member Functions | Private Attributes | List of all members
zypp::repo::PackageProviderPolicy Class Reference

Policies and options for PackageProvider. More...

`#include <PackageProvider.h>`

## Public Types
typedef function< bool(const std::string &, const Edition &, const Arch &)> | QueryInstalledCB
| Get installed Editions callback signature. More...

## Public Member Functions
PackageProviderPolicy & | queryInstalledCB (QueryInstalledCB queryInstalledCB_r)
| Set callback. More...
bool | queryInstalled (const std::string &name_r, const Edition &ed_r, const Arch &arch_r) const
| Evaluate callback. More...

## Private Attributes
QueryInstalledCB | _queryInstalledCB

## Detailed Description

Policies and options for PackageProvider.

Definition at line 34 of file PackageProvider.h.

## Member Typedef Documentation

## ◆ QueryInstalledCB

typedef function<bool ( const std::string &, const Edition &, const Arch & )> zypp::repo::PackageProviderPolicy::QueryInstalledCB

Get installed Editions callback signature.

Definition at line 38 of file PackageProvider.h.

## Member Function Documentation

## ◆ queryInstalledCB()

PackageProviderPolicy& zypp::repo::PackageProviderPolicy::queryInstalledCB | ( | QueryInstalledCB | queryInstalledCB_r | ) |
| inline

Set callback.

Definition at line 41 of file PackageProvider.h.

## ◆ queryInstalled()

bool zypp::repo::PackageProviderPolicy::queryInstalled | ( | const std::string & | name_r,
|  | const Edition & | ed_r,
|  | const Arch & | arch_r
| ) |  | const

Evaluate callback.

Definition at line 69 of file PackageProvider.cc.

## Member Data Documentation

## ◆ _queryInstalledCB

QueryInstalledCB zypp::repo::PackageProviderPolicy::_queryInstalledCB
| private

Definition at line 50 of file PackageProvider.h.

The documentation for this class was generated from the following files:

- zypp/repo/PackageProvider.h
- zypp/repo/PackageProvider.cc